Subject: Re: [bug#41662] [PATCH] gnu: zsh: Set default '$fpath'.

From: Brice Waegeneire <[email-masked]>
Date: Thu, 11 Jun 2020 18:36:18 +0000

Hello Ludo',

On 2020-06-11 17:08, Ludovic Courtès wrote:
>> +                  ,(string-append
>> +                    "--enable-additional-fpath="
>> +                    "/usr/local/share/zsh/site-functions," ; for 
>> foreign OS
>> +                    
>> "/run/current-system/profile/share/zsh/site-functions"))
> 
> /usr/local seems arbitrary.  What if we omit it, will that break zsh on
> foreign distros?

I let it there because it's a default[0] and because it was already 
present
in our current zsh package, you can test that with “zsh -df -c 'echo 
$fpath'”.
If I remember correctly I put it there for people using foreign OS who 
still
wants some zsh functions from their host OS.

[0]: https://github.com/zsh-users/zsh/blob/master/NEWS#L415-L424

- Brice